Bug 140792 - graphics/mesa-demos: Broken build due to missing symbols
Summary: graphics/mesa-demos: Broken build due to missing symbols
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-22 21:20 UTC by Mario Sergio Fujikawa Ferreira
Modified: 2010-03-12 08:30 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (410 bytes, patch)
2009-11-22 21:20 UTC, Mario Sergio Fujikawa Ferreira
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mario Sergio Fujikawa Ferreira freebsd_committer 2009-11-22 21:20:01 UTC
1) The port build is broken
2) It was missing a reference to 'pthread_create'
  2.1) I added a "hack" (needs a better fix) to fix this
3) Then, it complained about a missing reference to 'glXCreateGLXPixmapMESA'
  3.1) No fix yet
Comment 1 Edwin Groothuis freebsd_committer 2009-11-22 21:20:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

Over to maintainer (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=140792 

Date: Mon, 23 Nov 2009 03:16:35 -0200
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2009-11-26 00:45:21 UTC
Responsible Changed
From-To: araujo->freebsd-ports-bugs

Temporarily reassign maintainership while araujo@ is traveling.
Comment 3 dfilter service freebsd_committer 2010-03-12 08:24:25 UTC
nork        2010-03-12 08:24:17 UTC

  FreeBSD ports repository

  Modified files:
    graphics/mesa-demos  Makefile 
  Log:
  Fix buid error.
  
  PR:             ports/140792
  Submitted by:   lioux
  Approved by:    araujo
  Committed at:   AsiaZBSDCon 2010 DevSummit at Kagurazaka, Tokyo, Japan
  
  Revision  Changes    Path
  1.28      +2 -0      ports/graphics/mesa-demos/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Norikatsu Shigemura freebsd_committer 2010-03-12 08:24:28 UTC
State Changed
From-To: open->closed

Committed, thanks!